/***********************************************
*  FreeRTOS Test Program sample2
***********************************************/
#include <p24FJ128GA010.h>
#include "FreeRTOS.h"					/* FreeRTOSwb_ */
#include "task.h"
/***  RtBM[Vݒ  ***/
_CONFIG1(JTAGEN_OFF & GCP_OFF & GWRP_OFF & BKBUG_OFF & COE_OFF & FWDTEN_OFF & ICS_PGx1) 
// 8MHz*PLL4=32MHz (Full Speed)
_CONFIG2(IESO_OFF & FCKSM_CSDCMD & OSCIOFNC_OFF & POSCMOD_NONE & FNOSC_FRCPLL)

/* ֐vg */
void vTask1( void *pvParameters );              // ^XNP
void vTask2( void *pvParameters );              // ^XNQ
void vTask3( void *pvParameters );              // ^XNR

/****************** C֐ ************************/
int main(void)
{
	// n[hݒ
	LATA = 0;                                                       // I/Oݒ
	TRISA = 0;

	/* ^XN  */
	xTaskCreate( vTask1, (signed portCHAR *)"T1", 100, NULL, 1, NULL );
	xTaskCreate( vTask2, (signed portCHAR *)"T2", 100, NULL, 2, NULL );
	xTaskCreate( vTask3, (signed portCHAR *)"T3", 100, NULL, 1, NULL );
	/* XPW[OJn@*/
	vTaskStartScheduler();  
	/********@C[v  *******/
	while(1)
	{       }
}

/***** ^XN1֐ ******/
void vTask1(void *pvParameters)
{
	volatile unsigned long ul;
	while(1)        {
		LATA ^= 0x80;                            //LED D10
		for(ul=0; ul<100000; ul++)              //0.1b҂
		{ }
	}
}
/***** ^XN2֐ ******/
void vTask2(void *pvParameters)
{
		volatile unsigned long ul;
		while(1)        {
			LATA ^= 0x40;                            // LED D9
			for(ul=0; ul<200000; ul++)             //0.2b҂
			{ }
		}
}
/***** ^XN3֐ ******/
void vTask3(void *pvParameters)
{
        	volatile unsigned long ul;
        	while(1)        {
         	LATA ^= 0x20;                             	// LED D8
			for(ul=0; ul<500000; ul++) 	//0.5b҂
			{ }
        	}
}

